- Main Page
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Hierarchy
- Class Members

# dirac_enc_framestats_t Struct Reference

`#include <dirac_encoder.h>`

List of all members.

## Public Attributes
unsigned int | mv_bits
unsigned int | mv_hdr_bits
unsigned int | ycomp_bits
unsigned int | ycomp_hdr_bits
unsigned int | ucomp_bits
unsigned int | ucomp_hdr_bits
unsigned int | vcomp_bits
unsigned int | vcomp_hdr_bits
unsigned int | frame_bits
unsigned int | frame_hdr_bits

## Detailed Description

Structure that holds the statistics about the encoded frame

Definition at line 295 of file dirac_encoder.h.

## Member Data Documentation

unsigned int dirac_enc_framestats_t::frame_bits

| Total number of bits used to encode frame Definition at line 314 of file dirac_encoder.h.

unsigned int dirac_enc_framestats_t::frame_hdr_bits

| Number of frame header bits Definition at line 316 of file dirac_encoder.h.

unsigned int dirac_enc_framestats_t::mv_bits

| Number of motion vector bits Definition at line 298 of file dirac_encoder.h.

unsigned int dirac_enc_framestats_t::mv_hdr_bits

| Number of motion vector header bits Definition at line 300 of file dirac_encoder.h.

unsigned int dirac_enc_framestats_t::ucomp_bits

| Number of used to encode u component Definition at line 306 of file dirac_encoder.h.

unsigned int dirac_enc_framestats_t::ucomp_hdr_bits

| v component header bits Definition at line 308 of file dirac_encoder.h.

unsigned int dirac_enc_framestats_t::vcomp_bits

| Number of used to encode v component Definition at line 310 of file dirac_encoder.h.

unsigned int dirac_enc_framestats_t::vcomp_hdr_bits

| v component header bits Definition at line 312 of file dirac_encoder.h.

unsigned int dirac_enc_framestats_t::ycomp_bits

| Number of used to encode y component Definition at line 302 of file dirac_encoder.h.

unsigned int dirac_enc_framestats_t::ycomp_hdr_bits

| y component header bits Definition at line 304 of file dirac_encoder.h.

The documentation for this struct was generated from the following file:

- C:/guliverkli/src/filters/parser/diracsplitter/libdirac/libdirac_encoder/dirac_encoder.h